Skip to main content
`Ctrl`+`K`

# MatFDColoringSetUp

Sets up the internal data structures of matrix coloring context for the later use.

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatFDColoringSetUp(Mat mat, ISColoring iscoloring, MatFDColoring color)

Collective

## Input Parameters

- mat - the matrix containing the nonzero structure of the Jacobian

- iscoloring - the coloring of the matrix; usually obtained with `MatGetColoring()` or `DMCreateColoring()`

- color - the matrix coloring context

## Notes

When the coloring type is `IS_COLORING_LOCAL` the coloring is in the local ordering of the unknowns.

## See Also

`Mat`, `MatFDColoring`, `MatFDColoringCreate()`, `MatFDColoringDestroy()`

## Level

beginner

## Location

src/mat/matfd/fdmatrix.c

## Examples

src/snes/tutorials/ex14.c
src/mat/tutorials/ex16.c

## Implementations

MatFDColoringSetUp_MPIXAIJ() in src/mat/impls/aij/mpi/fdmpiaij.c
MatFDColoringSetUp_SeqXAIJ() in src/mat/impls/aij/seq/fdaij.c

Index of all MatFD routines
Table of Contents for all manual pages
Index of all manual pages